Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 09/05/2018, à 12:44

LoïsR

[résolu] Problème de mise à jour de R sous xubuntu 16.04

Bonjour à tous,

J'ai une machine de boulot qui tourne sous xubuntu 16.04 LTS, sur laquelle j'utilise le logiciel R (version 3.2.3). Le problème est que ma version de R n'est pas à jour, du coup je ne peux pas installer tous les paquets dont j'ai besoin. Cela dit, quand j'essaie de mettre à jour avec apt-get upgrade, ou d'installer une version plus récente du paquet manuellement, ça ne marche pas. Voilà ce que j'obtiens quand j'essaie d'installer la dernière version du paquet présent dans le dépots ubuntu :

lois_rancilhac@precision-Tower-7810:~/softwares$ sudo dpkg -i r-base_3.4.4-1ubuntu1_all.deb 
(Reading database ... 470029 files and directories currently installed.)
Preparing to unpack r-base_3.4.4-1ubuntu1_all.deb ...
Unpacking r-base (3.4.4-1ubuntu1) over (3.2.3-4) ...
dpkg: dependency problems prevent configuration of r-base:
 r-base depends on r-base-core (>= 3.4.4-1ubuntu1); however:
  Version of r-base-core on system is 3.2.3-4.
 r-base depends on r-recommended (= 3.4.4-1ubuntu1); however:
  Version of r-recommended on system is 3.2.3-4.

dpkg: error processing package r-base (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 r-base
lois_rancilhac@precision-Tower-7810:~/softwares$ 

Quelqu'un aurait une idée de la source du problème ? Je précise que la version 3.4.4 fonctionne parfaitement sur une autre machine.

Merci d'avance,
Loïs.

Dernière modification par LoïsR (Le 09/05/2018, à 16:41)

Hors ligne

#2 Le 09/05/2018, à 14:38

Mobidique

Re : [résolu] Problème de mise à jour de R sous xubuntu 16.04

C'est dans le message d'erreur : ton r-base 3.4.4 à besoin d'un r-base-core d'une version >= 3.4.4 or la version dispo sur le system est 3.2.3-4.

Pour installer le plus récente, rdv :
https://cran.r-project.org/
De tête tu commences par la clé de sécurité (section Secure APT) puis tu passes à l'ajout du ppa (section installation) en remplaçant <my.favorite.cran.mirror> par cran.irsn.fr/ par exemple, et pour ta 16.04 tu prends la ligne contenant "xenial" finalement, update, upgrade et install r-base.

@+

PS : de l'aide sur R ici http://forums.cirad.fr/logiciel-R/viewforum.php?f=3

Dernière modification par Mobidique (Le 09/05/2018, à 14:40)


Xubuntu 14.04 LTS 64bits : sons desktops, wife's laptop (voyager),  job laptop & desktop.
Debian stretch home laptop, x86 sur latitude D420 branché sur l'ampli familial.

Hors ligne

#3 Le 09/05/2018, à 15:33

LoïsR

Re : [résolu] Problème de mise à jour de R sous xubuntu 16.04

Salut mobidique,

merci pour ton message. J'aurai du le préciser, mais le maj de r-base-core ne fonctionne pas non plus, ni l'installation de R directement depuis les fichiers CRAN, sans passer par les dépôts ubuntu. Mais en fait je crois que la solution est toute bête : dans les dépot ubuntu, les version de R supérieures à 3.2.3 ne sont pas disponibles pour xenial (je n'avais pas fais attention en téléchargeant le paquet), donc j'en déduis que je ne peux pas installer la version 3.4.4. Je me trompe ?

Loïs.

Hors ligne

#4 Le 09/05/2018, à 16:14

Mobidique

Re : [résolu] Problème de mise à jour de R sous xubuntu 16.04

C'est cela, on est bien d'accord. Parce que, dans les dépots ubuntu la version la plus récente est la 3.2.2 tu ne peux pas installer une version plus récente (tautologie spoted) et si tu tentes d'installer une version plus récente de r-base à l'aide d'un deb tu te retrouves coincé(e) parce les dépendances (mais aussi tous les packages) ne seront pas disponible. D'où la nécessité de se brancher directement sur le ppa du CRAN, sois ma proposition, dépots du CRAN qui proposent la 3.4.4 pour Xenial (vérifié à l'instant).
@+

PS : à toutes fins utiles https://doc.ubuntu-fr.org/ppa

Soit donc :

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9

Ajouter

deb https://cran.irsn.fr/bin/linux/ubuntu xenial/

dans /etc/apt/sources.list ou utiliser l'utilitaire (recommandé et plus simple) "Logiciels & Mises à jour"
Puis

sudo apt-get update
sudo apt-get install r-base

Dernière modification par Mobidique (Le 09/05/2018, à 16:26)


Xubuntu 14.04 LTS 64bits : sons desktops, wife's laptop (voyager),  job laptop & desktop.
Debian stretch home laptop, x86 sur latitude D420 branché sur l'ampli familial.

Hors ligne

#5 Le 09/05/2018, à 16:41

LoïsR

Re : [résolu] Problème de mise à jour de R sous xubuntu 16.04

Désolé, je n'avais pas bien compris ce que tu proposais au début. Mon problème est réglé désormais, merci beaucoup !
Juste une dernière petite question : R va-t-il se mettre à jour automatiquement désormais, ou devrai-je à chaque fois installer la dernière version manuellement ?

Bonne fin de journée,
Loïs.

Hors ligne

#6 Le 11/05/2018, à 11:45

Mobidique

Re : [résolu] Problème de mise à jour de R sous xubuntu 16.04

Comme tu as ajouté le ppa du CRAN dans ta liste des dépôts, à chaque fois que ces derniers seront consultés pour détecter des mises à jours (soft "mise à jours" ou via sudo apt-get update), les dépôts du CRAN seront également consultés et si une mise à jour est disponible elle sera proposée et installée (soft "mise à jours" ou via sudo apt-get upgrade) à moins que tu spécifies explicitement que tu ne veux pas de telle ou telle MàJ.

@+


Xubuntu 14.04 LTS 64bits : sons desktops, wife's laptop (voyager),  job laptop & desktop.
Debian stretch home laptop, x86 sur latitude D420 branché sur l'ampli familial.

Hors ligne